Welcome to NSL

Home

Welcome to Network Smart Lite 1.0

NetworkSmart Lite is designed to help software developers improve their application's network performance. Network Smart is the concept of knowing how an application will perform on the network before introducing the application into your company's network or product environmnent. Network Smart solves the problem of poor application performance without increasing bandwidth or touching the network infrastructure. It is impossible to stop a network upgrade but Network Smart applications will at least slow the upgrade process down. It will also educate developers about what they can do and should do in order to make a difference in how their application operates across the wire.

Once you and your application are Network Smart you will be able to:

  • Move only the necessary data across the network.

  • Transfer the data across the network at the right time.

  • Use less round-trips, not one more than absolute necessary.

  • Realize the bandwidth and latency problems in application performance.

  • Choose the right design, architecture and technology for specific applications.

  • Lower the total cost of application ownership by lowering the cost of network support.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Welcome 1 of 9 Next Page Home Page Print

Getting Started with NetworkSmart Lite

NetworkSmart Lite is an easy to use tool that monitors the network traffic generated by an application. It is designed to provide developers and engineers with some insight into how their application is functioning across the network.

What is Network Smart?

NetworkSmart Lite provides vital Network Smart metrics such as Round Trips, Data Transfer Efficiency and Duration. It also includes additional network metrics such as Bandwidth, Latency, Total Frames, Application Frames, Total Bytes Received and Total Bytes Sent.

You can use this information to find out how your application will be impacted when running across the network as well as pinpointing spots where the application will be most vulnerable. You can then take corrective action in your code in order to improve the responsiveness and scalability of your application.

Contents:

  • Configure Settings

  • Monitoring Application Traffic

  • View Summary

  • Frame Details

  • View Frame Contents

  • Additional Features

  • Register NetworkSmart Lite

  • Upgrade to NetworkSmart Professional


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Configure Settings Previous Page 2 of 9 Next Page Home Page Print

Configure Settings

The first thing to do before you can begin capturing and analyzing network traffic is to configure the Capture Parameters. This is done by defining the Destination or computer that you will be communicating with. In most cases, this will either be the application server or the web server.

NetworkSmart Lite supports three different ways of setting the Destination address. You can either define the Machine name, Website or the IP address of the Destination computer.

Steps:

  • Click the Configure button on the tool bar.

  • The Capture Parameters window will appear.

  • Enter in the Destination type and address.

  • Click Accept to continue.

Note: NetworkSmart Lite automatically understands your capture settings on the local (source) computer. If you have more than one NIC card in your client computer, NetworkSmart Lite will display a list of available cards allowing you to choose the appropriate NIC card.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Monitoring Application Traffic Previous Page 3 of 9 Next Page Home Page Print

Monitoring Application Traffic

You should always attempt to eliminate any unrelated traffic by planning out the actual capturing process.

First, run the application you want to monitor to the exact stage where you want to test the network performance. For example, if you want to see what happens when a user loads your Product List web page, you should first bring up your browser and navigate through your site until right before the Product List page is displayed.

Now that you are at the point where you want to begin capturing, simply click on the Start Capture button. It is a good idea to check the menu Always on Top in NetworkSmart Lite so that you can always see the capture activity.

NetworkSmart Lite Tool Bar

NetworkSmart Lite should now be in capture mode and it will pick up any TCP-related traffic that is generated between the Destination server and the client. Once in capture mode, display your Product List web page.

You should see the summary grid constantly changing by increasing its frame and byte counts. If it is, you are successfully capturing packets. If it is not, stop the capture and check your Capture Parameter settings.

Once you have properly captured the traffic that your application has generated, click the Stop Capture button to view the performance results. You can also view the actual data that was sent or received by your application.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : View Summary Previous Page 4 of 9 Next Page Home Page Print

View Summary

After clicking the stop capture button, NetworkSmart Lite will show Network Smart metrics in the Network Summary panel. You can use this information to determine how well your application is performing across the network.

NetworkSmart Lite provides the following network metrics in the Network Summary:

  • Round Trip: A round trip is a complete request and response between two machines (source and destination). Round trip is a latency sensitive number and it has a direct relationship with your client's response time, especially in a high latency and low bandwidth connection.

  • Data Transfer Efficiency: Data transfer efficiency can also be referred to as transport efficiency. It is a statistical ratio that shows how well the transaction is doing in terms of the transportation methodology. The higher the ratio, the better the design. The amount of data sent or received is not a factor in this ratio. This Network Smart metric should not be used to compare the performance between two different transactions since they might have different goals. One transaction might need to move 2 Kb of data across the wire and another transaction might need to move 5Mb. The Data Transfer Efficiency, however, can be used to compare different versions of the same code to determine its improvement in efficiency.

  • Application Frames: Application frames are the frames carrying actual application data.

  • Total Frames: Total frames consist of TCP-related and Application-related frames. TCP frames are the frames facilitating and controlling the traffic. Both Application and TCP-related frame types are important factors in determining the Data Transfer Efficiency ratio.

  • Performance Rating: This is an evaluation of the overall performance based on the parameters and weights laid out by NetworkSmart. It takes into account the number of roundtrips, amount of data transferred, and the response time. This rating reveals the general user response time of this capture over a slow network connection.

  • Duration: Duration is the time difference between the first and last frame. It is the actual loading time of the transaction. This number includes both network delay and machine processing time.

  • Bytes Sent: This is the amount of data (both application related and overhead) that was sent from the client to the destination computer.

  • Bytes Received: This is the amount of data (both application related and overhead) that was sent from the destination computer and received by the client.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Frame Details Previous Page 5 of 9 Next Page Home Page Print

Frame Details

After clicking the Stop Capture button, NetworkSmart Lite will also show the individual frames in the Frame Details panel. This is the actual list of packets that were captured during your capture session.

NetworkSmart Lite provides the following properties in the Frame Details:

  • Frame Number: The number of the frame or the order in which it was received.

  • Frame Size: The total size of the frame in bytes.

  • Payload: Payload is the application related information within a frame. By looking at the payload of a frame for the entire transaction, you will have a better idea of how well your application is doing in terms of organizing the frame before sending it across the network.

  • Delta: The time difference between the current and previous frame. It is the number of milliseconds of transmission delay between these two frames. By looking at this number, developers can identify and begin to investigate any abnormal delay within the transaction.

  • Frame Direction: This shows which way the frame was sent across the wire. The frame direction will always be from the client to the destination or returning from the destination to the client.

    • Source - Name of computer that sent the packet.
    • Source Port - The actual port that the packet was sent from.
    • Destination - Name of computer that received the packet.
    • Destination Port - The actual port that received the packet.

  • Protocol: Protocol is the language computers or devices use to communicate. According to the application, computers use different protocols in different levels. In NetworkSmart Lite, we show the highest protocol level which the Client and Server computers are using to coordinate the data transformation. Examples of this are TCP, HTTP, FTP, etc.

  • Header: The header contains address and routing information of a packet. This information is used to direct the packet across the network so that the payload, which is the actual message, can be moved between the client and server computers.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : View Frame Contents Previous Page 6 of 9 Next Page Home Page Print

View Frame Contents

To see the actual data content of a frame, simply click on the frame row in the Frame Details panel. A frame content window will appear showing you the actual data of your application that was contained within the selected frame.

NetworkSmart Lite provides the following properties in the Frame Contents window:

  • Frame Statistics: These are the same metrics that are shown in the Frame Detail panel.

  • Contents: This is the actual data that was sent or received by your application.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Additional Features Previous Page 7 of 9 Next Page Home Page Print

Additional Features

Other features that may be useful in determining your application's network performance and current network capabilities are:

  • Network Metrics: Shows the current bandwidth and latency of the connection between the client and destination computer.

  • Clear IE Cache: Allows you to clear all the content and cookies out of your Internet Explorer browser. This is useful for understanding the network performance of a user who is visiting your web page for the very first time.

  • View IE Proxy Settings: Determines if your Internet Explorer browser is configured to use a proxy server. In some situations, upon using a proxy server, you may be unable to capture packets between the source and destination computers. A work around to this is to capture the same network traffic from the source to the proxy server.

  • Save/Open Capture: You may save the current NetworkSmart capture to a NetCapture Trace (.nct) file or to a comma delimited (.csv) file. You can open the .nct file at a later time in NetworkSmart Lite to view the results or in NetworkSmart Professional in order to analyze the results. The comma delimited format is provided so that you can manually import the file into other programs such as Microsoft Excel.

The following features will help make your NetworkSmart monitoring experience easier:

  • Always on Top: This feature allows NetworkSmart Lite to remain on top of all other applications on your desktop. This allows for easier navigation when starting and stopping a capture session.

  • Adjust Font Settings: If you prefer different styles or heights to your font display, simply open the font dialog window and adjust NetworkSmart Lite accordingly.

  • Online Features: Find out the latest information about LeadByte's NetworkSmart product line. You can also upgrade to NetworkSmart Professional, provide instant feedback, request product features or even submit online support issues to our LeadByte staff.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Register Previous Page 8 of 9 Next Page Home Page Print

Register NetworkSmart Lite

NetworkSmart Lite is free for individuals and nonprofit organizations. For commercial and government use, you must purchase a valid end-user license after 30 days in order to continue using this product.

You can purchase NetworkSmart Lite online by clicking on the link below. This link will take you to the LeadByte website where you can complete your purchase and obtain a serial number.

Purchase NetworkSmart Lite

Once you have obtained a valid serial number, please enter it into the Registration window of NetworkSmart Lite. This window can be displayed from the menu by selecting Online | Register NetworkSmart Lite.

Once you have entered a valid serial number, the Registration window will be removed from NetworkSmart Lite and your serial number will be displayed in the About window.


Getting Started with NetworkSmart Lite

NetworkSmart Lite : Upgrade Previous Page 9 of 9 Home Page Print

Upgrade to NetworkSmart Professional

Leading the way to better performance...

Add graphing and reporting capabilities to your network monitoring!

NetworkSmart Professional combines all of the features of NetworkSmart Lite with in-depth graphing and reporting capabilities. Now you can visually see where performance problems are happening within your application or website.

NetworkSmart Professional is even capable of predicting response times for users on lower bandwidths such as DSL or 56K modems!

Additional Features of NetworkSmart Professional include:

  • Understanding your application performance through in-depth performance charts and reports.

  • Automatically predicting application response times for lower bandwidth users such as DSL and 56K modems.

  • Searching and filtering across all of your captured frames.

  • Opening and analyzing Microsoft Network Monitor capture files.

Visit us online at www.leadbyte.com/support/nsl/upgrade.asp. Upgrade your copy of NetworkSmart Lite today!


Product Features

Product Features

NetworkSmart Lite is designed to help software developers improve their application's network performance. Poor network performance can drastically degrade both application response time and scalability.

Features of NetworkSmart Lite 1.0 include:

  • Configuring Capture Parameters

  • Capturing Network Traffic of an Application

  • Bandwidth and Latency

  • Capture Summary

  • Frame Details

  • Frame Contents

  • Clear IE Cache

  • Saving a Capture Session

  • IE Proxy Settings

  • Fonts

  • Always on Top


Configure Capture Parameters

Configure Parameters

Configure Parameters

To configure Capture Parameters using NSL, Open the File menu, select Capture Parameters or Click Configure button on the toolbar window. The Capture Parameters dialog box opens up.

Figure : Configure icon on the toolbar

In the Capture Parameters dialog box, Select the source and destination addresses that you want to capture traffic between.

Figure: Capture Parameters dialog box

  • Source: Select the local IP address that will be sending and receiving network data. Note that most of the time their will only be one IP address since most computers only have a single Network Interface Card (NIC). Multiple IP addresses will appear if you have more than one NIC card in a drop down list box from which you can select your source address.The Adapter bound to the selected source IP address is displayed.

  • Destination: Enter the destination address that your computer will be communicating with. This can be in the form of a Machine Name, URL or IP address. Simply select what type of address you want to specify and then enter the actual address in the box.

    Once you have defined these two items, Click the Accept button to save your settings and begin capturing network traffic.NSL also checks for the validity of the destination address prior to capturing the network traffic data. NSL will remember your network configuration settings for future use so that you can immediately capture network traffic without having to always define your network configuration.


Capturing Network Traffic of an Application

Capturing Network Traffic

Capturing Network Traffic

By now you are ready to begin capturing. You have Configured the Network and you only have one simple step left (the actual network capture) before you can see the results of your application's network performance.

  • First, run the application you want to monitor to the exact stage where you want to test the network performance. For example, if you want to see what happens when a user loads your Product List web page, you should first bring up your browser and navigate through your site until right before the Product List page is displayed .

  • Now that you are at the point where you want to begin capturing, simply click on the Capture button. It is a good practice to check the menu Always on Top in NetworkSmart Lite so that you can always see the capture activity.

Figure:Start Capturing Traffic

  • When complete, click the Stop button.During the process of Capturing, Stop button becomes active otherwise it is displayed as a ghost option on the toolbar.

Figure: Stop Capturing Traffic


Bandwidth and Latency

Bandwidth and Latency

Network Smart Lite provides simple network metrics such as current bandwidth and average latency between your client machine and the source destination.

Bandwidth measures the amount of data a communications link or network can carry. Latency measures the time it takes to send a message across a network.

Latency = Propagation Time + Transmit Time + Queue Time,

where:

Propagation Time = Distance/ Speed of Light in the conducting media, this is c.
c = 3 x 108 meters/second in a vacuum
c = 2 x 108 meters/second in copper or fiber links

Transmit Time = Size of Message (bytes) x 8 bits/byte / Bandwidth (bits/second)

To view the bandwidth and Latency go to the Tools menu. Select the Bandwidth & Latency feature.

Figure : Bandwidth & Latency option in the Tools menu

Bandwidth and Latency dialog box is displayed, Click on Calculate button to measure the Bandwidth and Latency between source and destination.

Figure: Bandwidth and Latency graph dialog box

Destination: This is the destination address that your computer will be communicating with. This address was defined within the Capture Parameter window.

Estimated Bandwidth: This is the estimated bandwidth between your client and the destination. The bandwidth is calculated by sending small and big pre-defined sized packets to the destination and then calculating the time difference in the latencies required to send and receive these packets. The calculated bandwidth will slightly change after each refresh since the available bandwidth on a network is constantly changing.

Bandwidth Graph: This graph helps you quickly determine if your current bandwidth is at a critical point. The smaller the bandwidth, the more likely you are to experience slow response times and poor application scalability.

  • Critical: Red lights are displayed for less than 256 Kbs of bandwidth. A 56 Kbs modem using a dial-up account or a Dual-Channel ISDN line are examples of this type of network.

  • Caution: Yellow lights are displayed for less than 1024 Kbs (T1) of bandwidth. An example of this type of bandwidth is a Digital Subsriber Line (DSL).

  • Excellent: Green lights are displayed for T1 or greater bandwidth. An examples of this type of network is a Local Area Network (LAN) which can operate up to 100 Mbs.

Note that the graph only displays bandwidth up to a T1 .This is because NetworkSmart best practices are less important if your user's bandwidth is constantly greater than a T1.

Average Latency: This is the estimated time that it takes to contact the destination address and then respond back to the client machine.

Latency Graph: This graph helps you quickly determine if your current latency is at a critical point. The higher the latency, the more likely you are to experience slow response times and poor application scalability.

  • Excellent: Green lights are displayed for a latency of 10 ms or less. A latency within this range indicates that you are running on a Local Area Network (LAN).

  • Caution: Yellow lights are displayed for a latency of 50 ms or less. You may experience network performance problems in this latency range if your current bandwidth is low.

  • Critical: Red lights are displayed when the latency is greater than 50 ms. This is a common latency if you are communicating with a server on the other side of the world.

Note that the graph only displays a latency of less than 200 ms. This is because NetworkSmart best practices should always be applied to applications that operate across a high latency network.

If the destination server blocks for the ping request, NSL estimates Latency fand bandwidth by computing the same to the nearest router prior to the destination server. For example microsoft. Web server at www.microsoft.com

Understanding Network Conditions:

High latency combined with low bandwidth are the two common ingredients that can create slow application response times and less than desired performance. If you are developing an application that will run within this type of network environment, it is critical that you implement NetworkSmart best practices as part of your software development effort.


Capture Summary

Capture Summary

NetworkSmart Lite provides the following network metrics in the Network Summary :

Figure: Capture Summary

  • Round Trip: A round trip is a complete request and response between two machine(source and destination). Round trip is a latency sensitive number and it has a direct relationship with your client's response time, especially in a high latency and low bandwidth connection.

  • Data Transfer Efficiency: Data transfer efficiency can also be referred to as transport efficiency. It is a statistical ratio that shows how well the transaction is doing in terms of the transportation methodology. The higher the ratio, the better the design. The amount of data sent or received is not a factor in this ratio. This ratio should not be used to compare the performance between two different transactions since they might have different goals. One transaction might need to move 2 Kb of data across the wire and another transaction might need to move 5Mb. The ratio, however, can be used to compare different versions of the same code to determine its improvement in efficiency.

  • Application Frames: Application frames are the frames carrying actual application data.

  • Total Frames: Total frames consist of TCP-related and Application-related frames. TCP frames are the frames facilitating and controlling the traffic. Both Application and TCP-related frame types are important factors in determining the Data Transfer Efficiency ratio.

  • Performance Rating: This is an evaluation of the overall performance based on the parameters and weights laid out by NetworkSmart. It takes into account the number of roundtrips, amount of data transferred, and the response time. This rating reveals the general user response time of this capture over a slow network connection.

  • Duration: Duration is the time difference between the first and last frame. It is the actual loading time of the transaction. This number includes both network delay and machine processing time.

  • Bytes Sent: This is the amount of data (both application related and overhead) that is sent from the client to the destination computer.

  • Bytes Received: This is the amount of data (both application related and overhead) that was sent from the destination computer and received by the client.


Frame Details

Frame Details

NetworkSmart Lite provides the following information in the Frame Details grid.

Figure: Frame details

  • Frame Number The number of the frame or the order in which it was received.

  • Frame Size: The total size of the frame in bytes.

  • Payload: Payload is the application related information within a frame. By looking at the payload of a frame for the entire transaction, you will have a good idea of how well your application is doing in terms of organizing the frame before sending it across the network.

  • Frame Direction: This shows which way the frame was sent across the wire. The frame direction will always be from the client to the destination or returning from the destination to the client.

  • Delta: The delta is the time difference between the current and previous frame. It is the number of milliseconds of transmission delay between these two frames. By looking at this number, developers can identify and begin to investigate any abnormal delay within the transaction.


Frame Contents

Frame Contents

To see the actual data content of a frame, simply Select and Click on the frame row in the Frame Details pane for which you want to see the Frame Content details.Or you can Click on Frame Contents option in View menu. A frame content window will appear, showing you the actual data of your application that was contained within this frame.

NetworkSmart Lite provides the following properties in the Frame Contents window :

  • Frame Statistics: These are the same metrics that are shown in the frame details panel.

  • Contents: This is the actual data that was sent or received by your application.

Figure: Frame Contents


Clear IE Cache

IE Cache

IE Cache

When you are using NSL to capture data from a website then it is recommended to clear the IE cache of the source computer before capturing as when traffic to a website is captured, major part of the data in the website might come from your browser cache. So if you are capturing data to a website, results given by NetworkSmart Lite might be misleading as NetworkSmart Lite just accounts for the data arriving from the remote server and not for the data picked from the cache.

NSL provides with an option of clearing the IE Cache of the source system To Clear IE Cache go the Tools menu and Select the Clear IE cache option or Click on the Cache icon on the toolbar.

Figure: Clear IE cache Icon

A warning message is displayed as shown below prior to clearing the IE cache.Click on Yes to confirm the action.

Figure: Clear Microsoft IE Cache message


Saving a Capture Session

Saving a Capture Session

Once data has been captured, the data can be saved to file, and can be opened and examined at a later time.You may save the current NetworkSmart capture to a NetCapture (.nct) file as well as comma delimited (.csv) file.

To Save the captured data, Select Save Capture As... option from the File menu or, click on the Save icon on the toolbar.

Figure: Save icon on the toolbar

The Save Capture As dialog box is displayed as shown below :

Figure: Saving Capture data


IE Cache

IE Proxy Settings

IE Proxy Settings

NSL determines if your Internet Explorer browser is configured to use a proxy server. In some situations, when using a proxy server, you may be unable to capture packets between the source and destination computers. A work around to this is to capture the same network traffic from the source to the proxy server. To view the IE Proxy Settings select View IE Proxy Settings from Tools menu.

Figure: Proxy icon

Clicking on the Proxy icon on the toolbar displays the Proxy settings of the source computer.

Figure:Proxy Settings window


Fonts

Fonts

If you prefer different styles or heights to your font display, simply open the font dialog window and adjust NetworkSmart Lite accordingly.

The Font option from the NetworkSmart Lite View menu allows the user to change the style of font for the Network Analysis panel and the Frame Details grid. This feature can be useful on machines with small fonts or a large amount of captured frames.There are two options provided in the Font menu:

Figure: Fonts option in the View menu

  • Change Font: The change font feature allows you to define a specific font for the Network Analysis panel and the Frame Details grid. Only the font face will be applied to NSL. The font height and other attributes such as bold, etc. will remain the same. NSL will also remember this pre-defined font for future use.

Figure: Font dialog box

  • Default Font: To change the font back to the original setting, simply click on the Reset to Default Font option from the Tools menu.


Always on Top

Always on Top

The "Always on Top " feature allows Network Smart Lite to be Always on top of all applications and windows on the desktop rather than allowing itself to be covered up by another window. The Always on Top feature is helpful when trying to capture packets with NSL and operate the client application at the same time.

Since NSL is capturing all frames that are sent and received from the client machine, it is extremely process intensive. With that said, NSL will always be the default topmost application on the desktop when capturing network traffic.

To set NSL to Always on top of all other applications go to the Tools menu. Check the Always on Top feature.

Figure: Always on Top option in the menu bar


Online Features

Online Features

To view the Online features in the Help file Internet connection is required.

Following are the OnLine Features :

  • Latest News

  • Frequently Asked Questions

  • Known Issues

  • Create Issue

  • Upgrade to Professional


License Agreement

License Agreement

LEADBYTE CORPORATION
END USER LICENSE AGREEMENT
NETWORKSMART LITE VERSION 1.0

Software License Agreement for NetworkSmart Lite Version 1.0

IMPORTANT- PLEASE READ CAREFULLY: BY INSTALLING THE SOFTWARE (AS DEFINED BELOW), COPYING THE SOFTWARE AND/OR CLICKING ON THE "ACCEPT" BUTTON BELOW, YOU (EITHER ON BEHALF OF YOURSELF AS AN INDIVIDUAL OR ON BEHALF OF AN ENTITY AS ITS AUTHORIZED REPRESENTATIVE) AGREE TO ALL OF THE TERMS OF THIS END USER LICENSE AGREEMENT ("AGREEMENT") REGARDING YOUR USE OF THE SOFTWARE. IF YOU DO NOT AGREE WITH ALL OF THE TERMS OF THIS AGREEMENT, CLICK ON THE "NO" BUTTON AND/OR DO NOT INSTALL, COPY OR OTHERWISE USE THE SOFTWARE.

1. GRANT OF LICENSE: Subject to the terms below, LeadByte Corporation ("LeadByte") hereby grants you a non-exclusive, non-transferable license to install and to use the downloadable, LITE version of NetworkSmart ("Software").

Your license will be free to you for the term of the Agreement for individuals and nonprofit organizations. For commercial and government use, you must purchase a valid end-user license after 30 days in order to continue using this product.

For individuals and nonprofit organizations; You may: (i) you may install and use the Software on unlimited machines and (ii) copy the Software for back-up or archival purposes

For commercial and government users, you may: (i) install and the Software on a single machine and (ii) copy the Software for back-up or archival purposes

For all users, you may not: (i) reverse engineer, decompile, or disassemble the Software; (ii) modify, or create derivative works based upon, the Software in whole or in part; (iii) distribute copies of the Software; (iv) remove any proprietary notices or labels on the Software; or (v) resell, lease, rent, transfer, sublicense, or otherwise transfer rights to the Software.

2. TITLE: You acknowledge that no title to the intellectual property in the Software is transferred to you. Title, ownership, rights, and intellectual property rights in and to the Software shall remain in LeadByte Corporation. The Software is protected by copyright and patent laws of the United States and international treaties.

3. UPDATES. From time to time, LeadByte may make available updates to the software. You may download and install or otherwise use those updates to the software that are released by LeadByte within one year of software registration date. All updates to the Software are governed by this Agreement, unless other license terms are provided with the update.

4. DISCLAIMER OF WARRANTY: The Software is provided to you at no, or minimal charge. YOU AGREE THAT LEADBYTE HAS MADE NO EXPRESS WARRANTIES, ORAL OR WRITTEN, TO YOU REGARDING THE PRODUCTS AND THAT THE PRODUCTS ARE BEING PROVIDED TO YOU "AS IS" WITHOUT WARRANTY OF ANY KIND. LEADBYTE DISCLAIMS ANY AND ALL OTHER WARRANTIES, WHETHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF NONINFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, AND FITNESS FOR A PARTICULAR PURPOSE. LEADBYTE SHALL NOT BE LIABLE FOR INDIRECT, INCIDENTAL, SPECIAL, COVER, RELIANCE, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, LOSS OF ANTICIPATED PROFIT) ARISING FROM ANY CAUSE UNDER OR RELATED TO THIS AGREEMENT.

5. LIMITATION OF LIABILITY: You must assume the entire risk of using the program. IN NO EVENT SHALL LEADBYTE BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS, OR OTHER INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND ARISING OUT OF THE USE OF THE LEADBYTE SOFTWARE, EVEN IF LEADBYTE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LEADBYTE'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, PROVIDED, HOWEVER, IF THE RELEVANT PRODUCT WAS PROVIDED TO YOU AT NO CHARGE YOU AGREE LEADBYTE SHALL NOT BE LIABLE TO YOU FOR ANY DAMAGES. THIS LIMITATION SHALL APPLY TO CLAIMS OF PERSONAL INJURY TO THE EXTENT PERMITTED BY LAW.

6. TERMINATION: This Agreement shall terminate automatically if you fail to comply with the limitations described in this Agreement, or if you do not renew any one (1) year license with LeadByte. No notice shall be required from LeadByte to effectuate such termination. Upon termination, except for failure to renew, you must uninstall and destroy all copies of the Software.

7. MISCELLANEOUS:

Severability: In the event of invalidity of any provision of this Agreement, the parties agree that such invalidity shall not affect the validity of the remaining portions of this Agreement.

Export: You agree that you will not export or re-export the Software outside of the jurisdiction in which you obtained it without the appropriate United States or foreign government licenses.

Governing Law: This Agreement will be governed by the laws of the State of Washington as they are applied to agreements between Washington residents entered into and to be performed entirely within Washington. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

Entire Agreement: You agree that this is the entire agreement between you and LeadByte, which supersedes any prior agreement, whether written or oral, and all other communications between LeadByte and you relating to the subject matter of this Agreement.

Reservation of rights: All rights not expressly granted in this Agreement are reserved by LeadByte.

Copyright (c) 1999, 2000, 2001, 2002 LeadByte Corporation, 601 108th Ave NE, 19th Floor, Bellevue, WA, 98004. All rights reserved. NetworkSmart is a trademark of LeadByte Corporation.


System Requirment

System Requirement

System Requirement

The minimum system requirement for running NetworkSmart Lite is :

  • Internet Explorer 4.01 or higher
  • Pentium or higher processor
  • RAM 64 MB
  • 800*600 screen resolution
  • 256 colors

NSL supports Windows 98 SE , Windows ME, Windows XP, Windows NT with SP4, Windows 2000


Technical Support

Technical Support

If you have any issues regarding the product , Please check the FAQ's and Known Issues section else mail us at support@leadbyte.com .

We will be happy to help you out.

Thanks,

LeadByte Team


About Us

About Us

Founded in December 2000, LeadByte Corporation is dedicated to improving enterprise application performance.

Our team is comprised of experienced IT managers, product developers and performance engineers. Prior to LeadByte, our founders were part of an Enterprise Quality Assurance group that built, tested, deployed and managed over 40 applications for Microsoft's internal Line of Business teams.

Currently we are developing a suite of performance tools known as NetworkSmart. These tools are designed to help IT programmers and dot com developers build enterprise solutions that have increased performance and scalability.

LeadByte also provides Application Performance Services for companies who want to improve their current application performance and scalability.

United States

LeadByte Corporation (Main Office)

601 108th Avenue NE, 19th Floor

Bellevue, WA 98004

425.943.6160

425.790.8028 Fax

info@leadbyte.com

India

LeadByte Corporation (Research)

C-88, South Extension, Part II

New Delhi, India 110049

+91.11.6262749

+91.11.6262705 Fax

india@leadbyte.com

© Copyright 1999-2002 LeadByte Corporation All Rights Reserved.


Copyright

Copyright and Trademark

Copyright and Trademark

Copyright 1999-2002 LeadByte Corporation. All Rights Reserved.

NetworkSmart Lite is a trademark of LeadByte Corporation.
Microsoft Windows is a registered trademark of Microsoft Corporation.

LeadByte Corporation 2002


NetworkSmart Lite Support

News
Latest News
  • Jan 21, 2002 - NetworkSmart Lite 1.0 is released to the public.

Updates

  • No maintenance releases are available for this product.

Related Topics

  • Frequently Asked Questions
  • Known Issues
  • NetworkSmart Lite Support Web

Contact Us

If you have any comments or questions, please contact us. Thank you for using NetworkSmart Lite.

Sincerely,

LeadByte Customer Support


What is Network Smart?

NetworkSmart Lite : What is Network Smart? Previous Page Back Home Page Print

What is Network Smart?

Network Smart is the concept of knowing how an application will perform on the network before introducing the application into your company's network or production environment.

Network Smart helps to solve the problem of poor application performance without increasing bandwidth or touching the network infrastructure. Network Smart helps to educate developers about what they can do and should do in order to make a difference in how their application operates across the wire.

For more information on how to build a "Network Smart" application, please visit www.leadbyte.com.